//
//  FLEXO II - Programa para clculo de propriedades de sees delgadas
//  Copyright (C) 1999  Maurcio C. Antunes (mantunes@sc.usp.br)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//

#if !defined(do_undo_hpp)
#define do_undo_hpp

class TDelgadaDoc;

class TDo_Undo {
public:
  TDo_Undo (TDelgadaDoc& d);
  virtual ~TDo_Undo ();
  void Do();
  void Undo();
protected:
  enum DoingOrUndoing {doing,undoing};
  virtual void ActualDo();
  virtual void ActualUndo();
  virtual void Before(DoingOrUndoing);
  virtual void After(DoingOrUndoing);
  TDelgadaDoc& delgada_doc;
};

#endif // do_undo_hpp
