//
//  FLEXO II - Programa para clculo de propriedades de sees delgadas
//  Copyright (C) 1999  Maurcio C. Antunes (mantunes@sc.usp.br)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//

#if !defined(textgadgeteneblavel_hpp)
#define textgadgeteneblavel_hpp

#include <owl/textgadg.h>

class TTextGadgetEneblavel : public TTextGadget {
public:
  TTextGadgetEneblavel(int id=0, int fontsize=10,TBorderStyle borderStyle=Recessed,TAlign align=Left,
                       uint numChars=10,const char far* text=0)
       :TTextGadget (id,borderStyle,align,numChars,text,new TGadgetWindowFont(fontsize))
  {
  }

  void CommandEnable();
};

#endif // textgadgeteneblavel_hpp
