//
//  FLEXO II - Programa para clculo de propriedades de sees delgadas
//  Copyright (C) 1999  Maurcio C. Antunes (mantunes@sc.usp.br)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//


#if !defined(dagoapp_h)
#define dagoapp_h

#include "dagoapp.rh"


class TDagoApp : public TApplication {
  public:
    TDagoApp();
    virtual ~TDagoApp();
    virtual void InitMainWindow();
    virtual void InitInstance();
  protected:
    void SetupControlBar(TDecoratedFrame* frame);
    void EvNewView(TView& view);
    void EvCloseView(TView& view);
    void CmHelpAbout();
    void CmTutorial();
DECLARE_RESPONSE_TABLE(TDagoApp);
};


#endif  // dagoapp_h

